Subject: [bug#39309] [PATCH WIP] gnu: add stack.

From: John Soo <[email-masked]>
Date: Wed, 11 Mar 2020 02:17:15 -0700

Hi Tim,

Sorry for my delay.  I think I’m finally starting to understand your patch.

> I’m now wondering why Guix’s treatment of “LIBRARY_PATH” is not just
> solving this outright without the need for those flags.  Before I consider pushing the patch, I’m going to answer that question. 
> Ideally, Guix could do more of what it’s good at: understanding the complete
> package graph.  :)

Yeah it would be nice if it were automatically tracked or if the env vars were respected.

I like the idea of offering more cabal file semantics to package authors. In that regards I have no issues with your patches.  My only thought is we should make the flags lists instead of booleans. Not only would lists match the cabal file specification, but I think having the extra detail would be a nice way to verify against existing cabal files. I can’t imagine just yet how but I could see wanting to be able to specify which paths were being used and their order.

I am not opposed to the names of the fields either, I like that they match the cabal fields.

Thanks again!

John